Bug 7049 - [2.9.9.9] install with S3 Trio64 V2/DX fails
: [2.9.9.9] install with S3 Trio64 V2/DX fails
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xorg-x11-drv-s3)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-06-09 13:08 by
Modified: 2006-03-07 10:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-09 13:08:07
2.9.9.7 fails to install on S3 Trio64V2/DX PCI video card

--- /tmp/xconfig
error basic_string::_S_construct NULL not valid

--- `pciscan -v`
unknown
S3 Inc. 86c775/86c785 [Trio 64V2/DX or /GX] [VGA compatible controller]
5333:8901:5333:8901  drivers: not found  class: 003:00:00
slot: 0000:00:10.0 hwid: ....

PS: rm /tmp/xconfig; X привело к стабильно неотзывчивому состоянию машинки.
------- Comment #1 From 2005-06-09 13:41:34 -------
есть ощущение, что s3 тут не при чем.

Скорее всего вина лежит либо на unionfs либо на squashfs. А сколько памяти в
машине ?
------- Comment #2 From 2005-06-09 14:08:44 -------
128M.  Это тот самый dual pentium mmx :)

Ещё: при запуске модуля конфигурирования иксов в acc ~3сек загрузки процессора и
машинка становится колом, SysRq не работает.  fb отключен (грузимся с Safe
Settings).

Это диск, проставленный с конфигурацией иксов для VESA 800x600, подоткнул.  Две
копии иксов с Driver "vesa" запускаются, сейчас попробую при запущенном vesa
подоткнуть "s3" и с другой стороны -- скажи, что там при автодетекте видео
запускается, мож оно в консоли чего сказать успеет.
------- Comment #3 From 2005-06-09 15:26:11 -------
** если иксы падают, надо попробовать ещё раз с vesa **
------- Comment #4 From 2005-06-09 15:39:49 -------
ddcprobe
------- Comment #5 From 2005-06-09 15:58:36 -------
не, нормально отработал и в консоли, и от рута
------- Comment #6 From 2005-06-09 17:01:03 -------
Вот, из рассылки: 
 
Итак, по "теме". После вчерашнего полного обновления, имеем: 
locate libglx 
/etc/X11/lib/libglx.a 
/usr/X11R6/lib/modules/extensions/libglx.a 
/usr/X11R6/lib/modules/extensions/libglx.a.x11 
  ls -l /etc/X11/lib/libglx.a 
lrwxrwxrwx  1 root root 46 Чер  8 15:34 /etc/X11/lib/libglx.a ->  
/usr/X11R6/lib/modules/extensions/libglx.a.x11 
И после старта Х-ов жалобы на невозможность загрузить glx. 
Если прописать в конфиге Х-ов полный путь на /etc/X11/lib/libglx.a --  
всё работает. Если на /usr/X11R6/lib/modules/extensions/libglx.a --  
полный облом. 
------- Comment #7 From 2005-06-09 17:11:21 -------
это в смысле про #7033?
------- Comment #8 From 2005-06-09 18:46:01 -------
Возможно, там что-то странное с частотами развёртки.  С Driver s3 становится в
640x480@60, в логе -- 

(II) s3(0): SyncMaster|0: Using default hsync range of 28.00-33.00 kHz
(II) s3(0): SyncMaster|0: Using default vrefresh range of 43.00-72.00 Hz
(II) s3(0): clock range: 15.60 to  80.00 MHz
(**) s3(0): *Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz

ddcprobe говорит, что это VESA 1.2 и что монитор -- 30-96/50-160
------- Comment #9 From 2005-06-24 01:37:15 -------
проверил 2.9.9.9, в точности как оригинальный репорт; x11createconfig -f
возвращает то же самое "error basic_string::_S_construct NULL not valid", что в
/tmp/xconfig.  заметь, "driver unknown".

сейчас попробую просто Trio64, по идее, PCI ID другой...

...то же самое, пока сделал rm /tmp/xconfig; xinit и в xterm --
install2-x11-qt,
едет в 640x480@60 (см. #c8), но ведь вывалится же ж перед третьей стадией...
...именно, вывалилось.  reboot; init 7 выдал отдельный фейерверк.

2 rider: если это почините (см. тж. #6901, нужен бы откат на vesa) _и_
интересно
протестить реализованное -- тут этих V2/DX две штуки, в сумме можно трёхголовую
конфигурацию попробовать :-))

2 shrek: X -configure вообще сломан или вешать то, что он тут выдаёт, отдельно?
------- Comment #10 From 2005-06-24 10:25:26 -------
Можешь дать шелл на такую машину ? мне нужно поработать там с отладчиком.
------- Comment #11 From 2005-06-24 11:12:33 -------
> X -configure вообще сломан или вешать то, что он тут выдаёт, отдельно? 
повесь отдельно 
------- Comment #12 From 2005-06-24 16:10:03 -------
(In reply to comment #10)
> Можешь дать шелл на такую машину ? мне нужно поработать там с отладчиком.
Чичас организуем.
------- Comment #13 From 2005-06-27 11:53:27 -------
fixed (next libhw version)
------- Comment #14 From 2005-07-05 16:08:31 -------
2.9.10 при "Text" на загрузке какие-то иксы в 640x480 поднял; при "VESA" --
чёрный экран (правда, там сейчас две Trio64 торчат, но BIOS и вот такие иксы
рисуют на карту, в которой сейчас монитор).

Доберусь до stage3, ещё отпишу.  Но уже вроде лучше :-)
------- Comment #15 From 2005-07-07 02:48:39 -------
2.9.11 -- если бутать Trio64V2/DX (2Mb) в Text (не VESA!) -- то install2 OK,
install3 OK, но на alterator-x11 после подтверждения ("Да") приплываем в Reset
only.  acpi=off.

После перезагрузки в failsafe свои 640x480 получаем (Driver "s3"); попытка
переключиться в консоль и обратно карается вертикальными малиново-чёрными
полосами, на SysRq ещё реагируем.

После перезагрузки и добавления в Section "Monitor" реальных HorizSync и
VertRefresh, полученных по ddcprobe (в Xorg.0.log -- какая-то ботва и 75x75 dpi
впридачу) -- получаем 800x600x16 и 1280x1024x8, но 1024x768x16 -- ни под каким
флагом.

Кажется, это любимые грабли s3_drv из XF86 4.x XF86; XFree86-S3-3.3.6 работал
как часы... и его и рекомендуют использовать по сути:

http://lists.freedesktop.org/pipermail/xorg/2004-August/002717.html
http://lists.freedesktop.org/pipermail/xorg/2004-August/002733.html
http://lists.freedesktop.org/pipermail/xorg/2004-August/002741.html

Перевешиваю на xorg (2 rider: частоты для старых железяк -- или при загрузке в
Text? -- прописывать тем не менее не помешает), добавляю найденные ссылки по
теме.

http://bugs.xfree86.org/show_bug.cgi?id=465
http://bugs.xfree86.org/show_bug.cgi?id=613 (?)
http://lists.freebsd.org/pipermail/freebsd-questions/2005-January/071540.html
`-> BusID для одной карты избыточен (разницы _не_ обнаружил),
    но для второй и дальнейших (одинаковых) его писать надо.

2 rider, shrek, vsu: чиним/[з]абиваем?
------- Comment #16 From 2005-07-07 03:47:27 -------
Видимо, придётся тем, кому надо Trio64 и подобное, отправляться читать
http://www.scitechsoft.com/ftp/snap/linux/readme-x86.txt
http://www.scitechsoft.com/products/ent/snap_linux.html
http://www.scitechsoft.com/licenses/end_user_license.html
http://www.scitechsoft.com/licenses/non_commercial_license.html

Работает как часы после распаковки и ./install...
------- Comment #17 From 2005-07-07 12:15:51 -------
не, Валер -- закрывай это нафиг с WONTFIX, никто это портить с 3.3.6 не будет
уже.  собсно кому припрёт на такое рисовать, а не в сервер -- всё равно
дистрибутив тех же времён будет осмысленней.
------- Comment #18 From 2005-07-12 13:01:45 -------
посмотрел я на дрова из 3.3. портировать конечно можно, но на это уйдет слишком 
много времени и не факт что получится что то дельное. т.ч. нафиг 
------- Comment #19 From 2005-07-12 13:25:18 -------
QED
------- Comment #20 From 2005-08-16 14:42:33 -------
https://bugzilla.altlinux.org/show_bug.cgi?id=7661